> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new company



## OpenAPI

````yaml openapi/openapi.json post /api/companies
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/companies:
    post:
      tags:
        - Companies
      summary: Create a new company
      operationId: 4ba2fab8115d4cb8d481328838cb4bba
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - name
              properties:
                name:
                  type: string
                  example: Tech Corp
                email:
                  type: string
                  example: techc@gmail.com
                  nullable: true
                latitude:
                  type: number
                  format: float
                  example: 52.520008
                  nullable: true
                longitude:
                  type: number
                  format: float
                  example: 13.404954
                  nullable: true
              type: object
      responses:
        '201':
          description: Company created successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  data:
                    properties:
                      id:
                        type: integer
                      user_id:
                        type: integer
                      name:
                        type: string
                      email:
                        type: string
                      latitude:
                        type: number
                      longitude:
                        type: number
                    type: object
                type: object
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````